package com.company;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.List;

public class Server {
    ServerSocket serverSocket;
    List<Client> clientList = new ArrayList<>();

    public void Run() throws IOException {

        serverSocket = new ServerSocket();
        serverSocket.bind(new InetSocketAddress("192.168.0.2", 3243));

        while (true) {
            System.out.println("Server is reading");
            Socket socket = serverSocket.accept();

            System.out.println(socket.getInetAddress().getHostAddress() + " connected");

            Client client = new Client(socket, clientList);
            client.start();

            clientList.add(client);
        }

    }
}
